<?xml version='1.0'?>

<xsl:stylesheet version="2.0"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:fn="http://www.w3.org/2005/xpath-functions"
    xmlns:csc="http://csclub.uwaterloo.ca/xslt">

<xsl:template match="cscpage">
  <html>
    <head>
      	<link rel="shortcut icon" href="/favicon.ico" />
	<title><xsl:value-of select="@title" /></title>
      <link rel="stylesheet" href="{$pre}default.css" type="text/css" />
    </head>
    <body><div>
      <a id="pagetop" />
      <xsl:apply-templates select="biglogo" />
      <xsl:apply-templates select="header" />
      <xsl:apply-templates select="section|menu" />
      <xsl:apply-templates select="footer" />
    </div></body>
  </html>
</xsl:template>

<xsl:template match="section">
  <xsl:if test="@anchor">
    <a name="{@anchor}" />
  </xsl:if>
  <h2><xsl:value-of select="@title" /></h2>
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="biglogo">
  <div class="biglogo">
    <div class="uwlogo">
      <a href="http://www.uwaterloo.ca/"><img src="{$pre}logos/uw_logo.gif"
          alt="University of Waterloo" width="105" height="70" /></a>
    </div>
    <div class="acmlogo">
      <a href="http://www.acm.org"><img src="{$pre}logos/acm_logo.gif"
           alt="A Student Chapter of the ACM" width="82" height="88" /></a>
    </div>
  </div>
</xsl:template>

<xsl:template match="header" name="header">
  <div id="vfeed" />
  <div class="webtitle">
    <div class="csclogo">
      <a href="{$pre}"><img src="{$pre}logos/csc_80_35_white.png" 
          alt="CSC Logo" /></a>
    </div>
    <div>
      <a href="{$pre}"><img src="{$pre}logos/csc_title.png" 
          alt="Computer Science Club" /></a>
    </div>
  </div>
  <div class="template-header">
    <xsl:apply-templates
        select="document(concat($g_pwd, '/directory.xml'))/directory"/>
  </div>
</xsl:template>

<xsl:template match="footer" name="footer">
  <a href="#pagetop" class="pagetop">Go to top</a>
  <div class="footer">
  <xsl:call-template name="menu" />
  <p>This page was generated on <xsl:value-of select="$g_date" /> at 
    <xsl:value-of select="$g_time" />.</p>
  <p class="infobox">
    The overall layout is designed specially for modern browsers. If you
    experience any problems, please report them, along with the version of
    your browser and operating system, to the 
    <a href="mailto:www@csclub.uwaterloo.ca">Webmaster</a>.
    <br /><br />
    This site supports TLS/SSL using a certificate signed by the 
    "CSC Certificate Authority". Click <a href="{$pre}csclub.pem">here</a>
    (PEM format) or <a href="{$pre}csclub.der">here</a> (DER format) to
    install the certificate authority into your browser.
  </p>
  <p>
    <a href="http://validator.w3.org/check?uri=referer">
    <img src="http://www.w3.org/Icons/valid-xhtml10"
        alt="Valid XHTML 1.0 Strict" height="31" width="88" />
    </a>
    <a href="http://jigsaw.w3.org/css-validator/check/referer">
      <img style="border:0;width:88px;height:31px"
          src="http://jigsaw.w3.org/css-validator/images/vcss" 
          alt="Valid CSS!" />
    </a>
  </p>
  <div class="footerlogo"><a href="{$pre}"><img src=
      "{$pre}logos/csc_80_35.png" alt="CSC" /></a></div>
    <p>
      Copyright
      <xsl:text disable-output-escaping="yes">&amp;copy;</xsl:text>
      2002<xsl:text disable-output-escaping="yes">&amp;ndash;</xsl:text>2007
      Computer Science Club of the University of Waterloo.<br />
      KDE Crystal theme icons are copyright
      <xsl:text disable-output-escaping="yes">&amp;copy;</xsl:text>
      2002 and following years KDE Artists. Sunflower image is copyright Manan 
      Tuli. Horde image is copyright horde contributors. Both are available 
      under the <a href="http://creativecommons.org/licenses/by-sa/2.5/">
      Creative Commons::Attribution-ShareAlike license</a>. Gopher image is 
      copyright Elron6900 (Flickr) and is available under the <a
      href="http://creativecommons.org/licenses/by-nc/2.0/">
      Attribution-NonCommercial 2.0</a> license.
    </p>
  </div>
</xsl:template>

<xsl:template match="news-and-events">
  <table cellspacing="1" cellpadding="2" class="newsandevents">
    <xsl:call-template name="events" />
    <xsl:call-template name="news" />
 </table>
</xsl:template>

</xsl:stylesheet>
